Subject: Re: Feature Proposal: Track all branches from a given remote

From: Andreas Schwab <[email-masked]>
Date: Sun, 26 Oct 2014 12:18:33 +0100

Scott Johnson <[email-masked]> writes:

> Do you think there would be any interest in a patch that added this as
> a simple command line option, though? I guess the idea of this patch
> then would simply change this line in the .git/config file for the
> length of the operation (and specified remote), execute the git pull
> command, and then reset the configuration after the command finished.

There is no need to modify the configuration, you can pass the fetch
spec on the command line.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."